//+------------------------------------------------------------------+
//|                                            PriceControler-V1.mq4 |
//|                        Copyright  2006, Omid Asadi Diamond Ltd. |
//|                                            diamond1359@yahoo.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Omid Asadi Diamond Ltd."
#property link      "diamond1359@yahoo.com"

//---- input parameters
extern string    AlarmFileNameUpCross1="Alert.wav";
extern string    AlarmFileNameDownCross1="Alert2.wav";
extern string    LineName1="Line01";
extern string    AlarmFileNameUpCross2="Alert.wav";
extern string    AlarmFileNameDownCross2="Alert2.wav";
extern string    LineName2="Line02";
extern string    AlarmFileNameUpCross3="Alert.wav";
extern string    AlarmFileNameDownCross3="Alert2.wav";
extern string    LineName3="Line03";
double OldBid=0;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   ObjectCreate(LineName1,OBJ_HLINE,0,TimeCurrent(),Bid+20*Point);
   ObjectSet(LineName1,OBJPROP_COLOR,Purple);
   ObjectCreate(LineName2,OBJ_HLINE,0,TimeCurrent(),Bid+30*Point);
   ObjectSet(LineName2,OBJPROP_COLOR,MediumOrchid);
   ObjectCreate(LineName3,OBJ_HLINE,0,TimeCurrent(),Bid+40*Point);
   ObjectSet(LineName3,OBJPROP_COLOR,Violet);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//|                  iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   //line 1 check
   if ((Bid>=ObjectGet(LineName1,OBJPROP_PRICE1))&&(OldBid<ObjectGet(LineName1,OBJPROP_PRICE1)))  {PlaySound(AlarmFileNameUpCross1);SendMail(" PriceControler","PriceControler "+ Symbol()+" "+Period()+" ross UP 1");} 
   if ((Bid<=ObjectGet(LineName1,OBJPROP_PRICE1))&&(OldBid>ObjectGet(LineName1,OBJPROP_PRICE1)))  {PlaySound(AlarmFileNameDownCross1);SendMail(" PriceControler","PriceControler "+ Symbol()+" "+Period()+" Cross DN 1");}  
   //line 2 check
   if ((Bid>=ObjectGet(LineName2,OBJPROP_PRICE1))&&(OldBid<ObjectGet(LineName2,OBJPROP_PRICE1)))  {PlaySound(AlarmFileNameUpCross2);SendMail(" PriceControler","PriceControler "+ Symbol()+" "+Period()+" Cross UP 2");} 
   if ((Bid<=ObjectGet(LineName2,OBJPROP_PRICE1))&&(OldBid>ObjectGet(LineName2,OBJPROP_PRICE1)))  {PlaySound(AlarmFileNameDownCross2);SendMail(" PriceControler","PriceControler "+ Symbol()+" "+Period()+" Cross DN 2");}  
   //line 1 check
   if ((Bid>=ObjectGet(LineName3,OBJPROP_PRICE1))&&(OldBid<ObjectGet(LineName3,OBJPROP_PRICE1)))  {PlaySound(AlarmFileNameUpCross3);SendMail(" PriceControler","PriceControler "+ Symbol()+" "+Period()+" Cross UP 3");} 
   if ((Bid<=ObjectGet(LineName3,OBJPROP_PRICE1))&&(OldBid>ObjectGet(LineName3,OBJPROP_PRICE1)))  {PlaySound(AlarmFileNameDownCross3);SendMail(" PriceControler","PriceControler "+ Symbol()+" "+Period()+" Cross DN 3");}  
   OldBid=Bid;
 
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+